Engineering Papers⌕ Search

SEARCH · Engineering Papers

Results for “Singularity”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 577 records · Page 32

Normalization and Implementation of Three Gravitational Acceleration Models

Unlike the uniform density spherical shell approximations of Newton, the consequence of spaceflight in the real universe is that gravitational fields are sensitive to the asphericity of their generating central bodies. The gravitational potential of an aspherical central body is typically resolved using spherical harmonic approximations. However, attempting to directly calculate the spherical harmonic approximations results in at least two singularities that must be removed to generalize the method and solve for any possible orbit, including polar orbits. Samuel Pines, Bill Lear, and Robert Gottlieb developed three unique algorithms to eliminate these singularities. This paper documents the methodical normalization of two of the three known formulations for singularity-free gravitational acceleration (namely, the Lear and Gottlieb algorithms) and formulates a general method for defining normalization parameters used to generate normalized Legendre polynomials and Associated Legendre Functions (ALFs) for any algorithm. A treatment of the conventional formulation of the gravitational potential and acceleration is also provided, in addition to a brief overview of the philosophical differences between the three known singularity-free algorithms.

Eckman, Randy A.↗

Scaled boundary cubature scheme for numerical integration over planar regions with affine and curved boundaries

This paper introduces the scaled boundary cubature (SBC) scheme for accurate and efficient integration of functions over polygons and two-dimensional regions bounded by parametric curves. Over two-dimensional domains, the SBC method reduces integration over a region bounded by m curves to integration over m regions (referred to as curved triangular regions), where each region is bounded by two line segments and a curve. With proper (counterclockwise) orientation of the boundary curves, the scheme is applicable to convex and nonconvex domains. Additionally, for star-convex domains, a tensor-product cubature rule with positive weights and integration points in the interior of the domain is obtained. If the integrand is homogeneous, we show that this new method reduces to the homogeneous numerical integration scheme; however, the SBC scheme is more versatile since it is equally applicable to both homogeneous and non-homogeneous functions. This paper also introduces several methods for smoothing integrands with point singularities and near-singularities. When these methods are used, highly efficient integration of weakly singular functions is realized. Finally, the SBC method is applied to a number of benchmark problems, which reveal its broad applicability and superior performance (in terms of time to generate a rule and accuracy per cubature point) when compared to existing methods for integration.

42 ENGINEERING↗

Unified Picture of Superconductivity and Magnetism in CeRh 2 ⁢As 2

Here, we propose a theory for the microscopic origin of the multiple superconducting and magnetic phases observed in CeRh 2 ⁢As 2 based on the existence of Van Hove singularities near the Fermi energy. The nonsymmorphic symmetry of this material implies that these singularities are located away from high-symmetry momenta; i.e., they have so-called type-II character. This allows us to include the significant Rashba spin-orbit coupling in CeRh 2 ⁢As 2 in a parquet renormalization group approach. When Fermi-surface nesting is strong, our analysis reveals two closely competing superconducting states with opposite parities, as well as an instability toward spin-density wave states that support both of them, consistent with the phase diagram of CeRh 2 ⁢As 2 . Type-II Van Hove singularities are generic to nonsymmorphic space groups, and so our theory implies that many other compounds may support closely competing even- and odd-parity superconductivity.

Rashba coupling↗

Power-law inflation satisfies Penrose’s Weyl curvature hypothesis

Based on entropy considerations and the arrow of time Penrose argued that the Universe must have started in a special initial singularity with vanishing Weyl curvature. This is often interpreted to be at odds with inflation. Here we argue just the opposite, that Penrose’s persuasions are in fact consistent with inflation. Using the example of power law inflation, we show that inflation begins with a past null singularity, where Weyl tensor vanishes when the metric is initially exactly conformally flat. This initial state precisely obeys Penrose’s conditions. The initial null singularity breaks T-reversal spontaneously and picks the arrow of time. It can be regulated and interpreted as a creation of a universe from nothing, initially fitting in a bubble of Planckian size when it materializes. Penrose’s initial conditions are favored by the initial O(4) symmetry of the bubble, selected by extremality of the regulated Euclidean action. The predicted observables are marginally in tension with the data, but they can fit if small corrections to power law inflation kick in during the last 60⁢e-folds.

79 ASTRONOMY AND ASTROPHYSICS↗

Automatically adaptive stabilized finite elements and continuation analysis for compaction banding in geomaterials

Under compressive creep, viscoplastic solids experiencing internal mass transfer processes can accommodate singular cnoidal wave solutions as material instabilities at the stationary wave limit. These instabilities appear when the loading rate is significantly faster than the material's capacity to diffusive internal perturbations, leading to localized failure features (e.g., cracks and compaction bands). These cnoidal waves, generally found in fluids, have strong nonlinearities that produce periodic patterns. Due to the singular nature of the solutions, the applicability of the theory is currently limited. Additionally, practical simulation tools require proper regularization to overcome the challenges that singularity induces. We focus on the numerical treatment of the governing equation using a nonlinear approach building on a recent adaptive stabilized finite element method. This automatic refinement method provides an error estimate that drives mesh adaptivity, a crucial feature for the problem at hand. We compare the performance of this adaptive strategy against analytical and standard finite element solutions. We then investigate the sensitivity of the diffusivity ratio, the parameter controlling the process, and identify multiple possible solutions with several stress peaks. We also show the evolution of the spacing between peaks for all solutions as a function of that parameter.

42 ENGINEERING↗

Constraints on a massive double-copy and applications to massive gravity

We propose and study a BCJ double-copy of massive particles, showing that it is equivalent to a KLT formula with a kernel given by the inverse of a matrix of massive bi-adjoint scalar amplitudes. For models with a uniform non-zero mass spectrum we demonstrate that the resulting double-copy factors on physical poles and that up to at least 5-particle scattering, color-kinematics duality satisfying numerators always exist. For the scattering of 5 or more particles, the procedure generically introduces spurious singularities that must be cancelled by imposing additional constraints. When massive particles are present, color-kinematics duality is not enough to guarantee a physical double-copy. As an example, we apply the formalism to massive Yang-Mills and show that up to 4-particle scattering the double-copy construction generates physical amplitudes of a model of dRGT massive gravity coupled to a dilaton and a two-form with dilaton parity violating couplings. We show that the spurious singularities in the 5-particle double-copy do not cancel in this example, and the construction fails to generate physically sensible amplitudes. We conjecture sufficient constraints on the mass spectrum, which in addition to massive BCJ relations, guarantee the absence of spurious singularities.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Non-intrusive reduced-order modeling for dynamical systems with spatially localized features

This work presents a non-intrusive reduced-order modeling framework for dynamical systems with spatially localized features characterized by slow singular value decay. The proposed approach builds upon two existing methodologies for reduced and full-order non-intrusive modeling, namely Operator Inference (OpInf) and sparse Full-Order Model (sFOM) inference. We decompose the domain into two complementary subdomains that exhibit fast and slow singular value decay. The dynamics of the subdomain exhibiting slow singular value decay are learned with sFOM while the dynamics with intrinsically low dimensionality on the complementary subdomain are learned with OpInf. The resulting, coupled OpInf-sFOM formulation leverages the computational efficiency of OpInf and the high resolution of sFOM, and thus enables fast non-intrusive predictions for conditions beyond those sampled in the training data set. A novel regularization technique with a closed-form solution based on the Gershgorin disk theorem is introduced to promote stable sFOM and OpInf models. We also provide a data-driven indicator for subdomain selection and ensure solution smoothness over the interface via a post-processing interpolation step. We evaluate the efficiency of the approach in terms of offline and online speedup through a quantitative, parametric computational cost analysis. We demonstrate the coupled OpInf-sFOM formulation for two test cases: a one-dimensional Burgers’ model for which accurate predictions beyond the span of the training snapshots are presented, and a two-dimensional parametric model for the Pine Island Glacier ice thickness dynamics, for which the OpInf-sFOM model achieves an average prediction error on the order of 1% with an online speedup factor of approximately 8$\times$ compared to the numerical simulation.

42 ENGINEERING↗

Principal Landau determinants

We reformulate the Landau analysis of Feynman integrals with the aim of advancing the state of the art in modern particle-physics computations. We contribute new algorithms for computing Landau singularities, using tools from polyhedral geometry and symbolic/numerical elimination. Inspired by the work of Gelfand, Kapranov, and Zelevinsky (GKZ) on generalized Euler integrals, we define the principal Landau determinant of a Feynman diagram. We illustrate with a number of examples that this algebraic formalism allows to compute many components of the Landau singular locus. We adapt the GKZ framework by carefully specializing Euler integrals to Feynman integrals. For instance, ultraviolet and infrared singularities are detected as irreducible components of an incidence variety, which project dominantly to the kinematic space. We compute principal Landau determinants for the infinite families of one-loop and banana diagrams with different mass configurations, and for a range of cutting-edge Standard Model processes. Furthermore, our algorithms build on the Julia package this http URL and are implemented in the new open-source package this http URL available at this https URL.

72 PHYSICS OF ELEMENTARY PARTICLES AND FIELDS↗

Multigrid deflation for Lattice QCD

Computing the trace of the inverse of large matrices is typically addressed through statistical methods. Deflating out the lowest eigenvectors or singular vectors of the matrix reduces the variance of the trace estimator. This work summarizes our efforts to reduce the computational cost of computing the deflation space while achieving the desired variance reduction for Lattice QCD applications. Previous efforts computed the lower part of the singular spectrum of the Dirac operator by using an eigensolver preconditioned with a multigrid linear system solver. Despite the improvement in performance in those applications, as the problem size grows the runtime and storage demands of this approach will eventually dominate the stochastic estimation part of the computation. In this work, we propose to compute the deflation space in one of the following two ways. First, by using an inexact eigensolver on the Hermitian, but maximally indefinite, operator. Second, by exploiting the fact that the multigrid prolongator for this operator is rich in components toward the lower part of the singular spectrum. We show experimentally that the inexact eigensolver can approximate the lower part of the spectrum even for ill-conditioned operators. Also, the deflation based on the multigrid prolongator is more efficient to compute and apply, and, despite its limited ability to approximate the fine level spectrum, it obtains similar variance reduction on the trace estimator as deflating with approximate eigenvectors from the fine level operator.

97 MATHEMATICS AND COMPUTING↗

Multicycle flash sintering of cubic Y 2 O 3 -stabilized ZrO 2 : An in situ energy dispersive synchrotron x-ray diffraction study with high temporal resolution

The current induced unit cell volume changes, (111) Bragg peak full width at half maximum (FWHM) and its integrated intensity in 8 % Y 2 O 3 stabilized ZrO 2 (8 %YSZ) solid state electrolyte was monitored during a triple-flash sintering experiment by in situ energy dispersive x-ray diffraction using a polychromatic synchrotron probe (max, photon energy 200 keV) with 2 second temporal resolution. The first spontaneous singularity in the unit cell volume (+0.54 %) was observed at 899 °C under 15 V/mm applied field intensity, which was associated with 13 mA/mm 2 current draw and an increase in density to 97 %. Following anelastic relaxation of the unit cell volume under open circuit conditions, the same applied field was applied twice in a row which resulted in additional induced singularities at 925 °C (+0.48 %) and 944 °C (+0.42 %). A floating baseline, which was above the thermal expansion baseline, was observed from 833 to 969 °C and was attributed to Joule heating. In conclusion, the singularity at 899 °C is associated with a sharp change in (111) FWHM and a 34 % decrease in integrated peak area that was attributed to changes in the distribution of oxygen vacancies and the changes in their concentration as induced by the applied field in the spontaneous transient stage of flash sintering.

36 MATERIALS SCIENCE↗

Solving gyrokinetic systems with higher-order time dependence

We discuss theoretical and numerical aspects of gyrokinetics as a Lagrangian field theory when the field perturbation is introduced into the symplectic part. A consequence is that the field equations and particle equations of motion in general depend on the time derivatives of the field. The most well-known example is when the parallel vector potential is introduced as a perturbation, where a time derivative of the field arises only in the equations of motion, so an explicit equation for the fields may still be written. We will consider the conceptually more problematic case where the time-dependent fields appear in both the field equations and equations of motion, but where the additional term in the field equations is formally small. The conceptual issues were described by Burby (J. Plasma Phys., vol. 82 (3), 2016, 905820304): these terms lead to apparent additional degrees of freedom to the problem, so that the electric field now requires an initial condition, which is not required in low-frequency (Darwin) Vlasov–Maxwell equations. Also, the small terms in the Euler–Lagrange equations are a singular perturbation, and these two issues are interlinked. For well-behaved problems the apparent additional degrees of freedom are spurious, and the physically relevant solution may be directly identified. Because we needed to assume that the system is well behaved for small perturbations when deriving gyrokinetic theory, we must continue to assume that when solving it, and the physical solutions are thus the regular ones. The spurious nature of the singular degrees of freedom may also be seen by changing coordinate systems so the varying field appears only in the Hamiltonian. We then describe how methods appropriate for singular perturbation theory may be used to solve these asymptotic equations numerically. We then describe a proof-of-principle implementation of these methods for an electrostatic strong-flow gyrokinetic system; two basic test cases are presented to illustrate code functionality.

70 PLASMA PHYSICS AND FUSION TECHNOLOGY↗

Deformation of Lie–Poisson algebras and chirality

Linearization of a Hamiltonian system around an equilibrium point yields a set of Hamiltonian symmetric spectra: If λ is an eigenvalue of the linearized generator, -λ and $\barλ$ (hence, -$\barλ$) are also eigenvalues—the former implies a time-reversal symmetry, while the latter guarantees the reality of the solution. However, linearization around a singular equilibrium point (which commonly exists in noncanonical Hamiltonian systems) works out differently, resulting in breaking of the Hamiltonian symmetry of spectra; time-reversal asymmetry causes chirality. This interesting phenomenon was first found in analyzing the chiral motion of the rattleback, a boat-shaped top having misaligned axes of inertia and geometry [Z. Yoshida et al., Phys. Lett. A 381, 2772–2777 (2017)]. To elucidate how chiral spectra are generated, we study the three-dimensional Lie–Poisson systems and classify the prototypes of singularities that cause symmetry breaking. The central idea is the deformation of the underlying Lie algebra; invoking Bianchi’s list of all three-dimensional Lie algebras, we show that the so-called class-B algebras, which are produced by asymmetric deformations of the simple algebra s o ( 3 ) , yield chiral spectra when linearized around their singularities. The theory of deformation is generalized to higher dimensions, including the infinite-dimensional Poisson manifolds relevant to fluid mechanics.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Generalized Mercier stability criterion for stellarators

The Mercier criterion is a well-known stability criterion for tokamaks. It is derived from a 2 × 2 matrix eigenvalue problem arising from the expansion of resonant solutions about a singular surface where m−nq=0, with m and n being the poloidal and toroidal mode numbers, respectively, and q being the safety factor. The stability criterion is that the eigenvalues must be real, otherwise, the solution oscillates, violating the Newcomb crossing criterion. Because of the non-axisymmetry of stellarators, different toroidal as well as poloidal harmonics couple to each other. It follows that each singular surface can have multiple resonant harmonics, with multiplicity M≥1. The corresponding matrix eigenvalue problem involves a 2M×2M matrix, resulting in M pairs of positive and negative eigenvalues. The generalized stability criterion is that all eigenvalues must be real. While the original Mercier criterion can be expressed in terms of quadratures of equilibrium quantities over the singular surface, which can be evaluated anywhere, the generalized Mercier criterion can only be evaluated on rational q surfaces with a given set of resonant harmonics.

Physics↗

Optimal renormalization of multiscale systems

While model order reduction is a promising approach in dealing with multi-scale time-dependent systems that are too large or too expensive to simulate for long times, the resulting reduced order models can suffer from instabilities. We have recently developed a time-dependent renormalization approach to stabilize such reduced models. In the current work, we extend this framework by introducing a parameter that controls the time-decay of the memory of such models and optimally selecting this parameter based on limited fully resolved simulations. First, we demonstrate our framework on the inviscid Burgers equation whose solution develops a finite-time singularity. Our renormalized reduced order models are stable and accurate for long times while using for their calibration only data from a full order simulation before the occurrence of the singularity. Furthermore, we apply this framework to the 3D Euler equations of incompressible fluid flow, where the problem of finite-time singularity formation is still open and where brute force simulation is only feasible for short times. Our approach allows us to obtain for the first time a perturbatively renormalizable model which is stable for long times and includes all the complex effects present in the 3D Euler dynamics. We find that, in each application, the renormalization coefficients display algebraic decay with increasing resolution, and that the parameter which controls the time-decay of the memory is problem-dependent.

Price, Jacob↗

Review: knots and other new topological effects in liquid crystals and colloids

Abstract Humankind has been obsessed with knots in religion, culture and daily life for millennia, while physicists like Gauss, Kelvin and Maxwell already involved them in models centuries ago. Nowadays, colloidal particles can be fabricated to have shapes of knots and links with arbitrary complexity. In liquid crystals, closed loops of singular vortex lines can be knotted by using colloidal particles and laser tweezers, as well as by confining nematic fluids into micrometer-sized droplets with complex topology. Knotted and linked colloidal particles induce knots and links of singular defects, which can be interlinked (or not) with colloidal particle knots, revealing the diversity of interactions between topologies of knotted fields and topologically nontrivial surfaces of colloidal objects. Even more diverse knotted structures emerge in nonsingular molecular alignment and magnetization fields in liquid crystals and colloidal ferromagnets. The topological solitons include hopfions, skyrmions, heliknotons, torons and other spatially localized continuous structures, which are classified based on homotopy theory, characterized by integer-valued topological invariants and often contain knotted or linked preimages, nonsingular regions of space corresponding to single points of the order parameter space. A zoo of topological solitons in liquid crystals, colloids and ferromagnets promises new breeds of information displays and a plethora of data storage, electro-optic and photonic applications. Their particle-like collective dynamics echoes coherent motions in active matter, ranging from crowds of people to schools of fish. This review discusses the state of the art in the field, as well as highlights recent developments and open questions in physics of knotted soft matter. We systematically overview knotted field configurations, the allowed transformations between them, their physical stability and how one can use one form of knotted fields to model, create and imprint other forms. The large variety of symmetries accessible to liquid crystals and colloids offer insights into stability, transformation and emergent dynamics of fully nonsingular and singular knotted fields of fundamental and applied importance. The common thread of this review is the ability to experimentally visualize these knots in real space. The review concludes with a discussion of how the studies of knots in liquid crystals and colloids can offer insights into topologically related structures in other branches of physics, with answers to many open questions, as well as how these experimentally observable knots hold a strong potential for providing new inspirations to the mathematical knot theory.

Physics↗

Annihilation-to-nothing: a quantum gravitational boundary condition for the Schwarzschild black hole

The interior of a static Schwarzschild metric can be written in terms of two functions, similar to some models of anisotropic cosmology. With a suitable choice of canonical variables, we solve the Wheeler-DeWitt equation (WDW) inside the horizon of a Schwarzschild black hole. By imposing classicality near the horizon, and requiring boundedness of the wave function, we get a rather generic solution of the WDW equation, whose steepest-descent solution, i.e., the ridge of the wave function, coincides nicely with the classical trajectory. However, there is an ambiguity in defining the arrow of time which leads to two possible interpretations—(i) if there is only one arrow of time, one can infer that the steepest-descent of the wave function follows the classical trajectory throughout: coming from the event horizon and going all the way down to the singularity, while (ii) if there are two different arrows of time in two separate regimes, it can be inferred that the steepest-descent of the wave function comes inwards from the event horizon in one region while it moves outwards from the singularity in the other region, and there exists an annihilation process of these two parts of the wave function inside the horizon. Additionally, adopting the second interpretation could shed light on the information loss paradox: as time goes on, probabilities for histories that include black holes and singularities decay to zero and eventually only trivial geometries dominate.

79 ASTRONOMY AND ASTROPHYSICS↗

Discovery of two bright high-redshift gravitationally lensed quasars revealed by Gaia

We present the discovery and preliminary characterisation of two high-redshift gravitationally lensed quasar systems in Gaia Data Release 2 (DR2). Candidates with multiple close-separation Gaia detections and quasar-like colours in WISE, Pan-STARRS, and DES are selected for follow-up spectroscopy with the New Technology Telescope. We confirm DES J215028.71-465251.3 as a $z$ = 4.130 ± 0.006 asymmetric, doubly imaged lensed quasar system and model the lensing mass distribution as a singular isothermal sphere. The system has an Einstein radius of 1.202 ± 0.005 arcsec and a predicted time delay of ~122.0 d between the quasar images, assuming a lensing galaxy redshift of $z$ = 0.5, making this a priority system for future optical monitoring. We confirm PS J042913.17+142840.9 as a $z$ = 3.866 ± 0.003 four-image quasar system in a cusp configuration, lensed by two foreground galaxies. The system is well modelled using a singular isothermal ellipsoid for the primary lens and a singular isothermal sphere for the secondary lens with Einstein radii 0.704 ± 0.006 and 0.241 ± 0.030 arcsec, respectively. A maximum predicted time delay of 9.6 d is calculated, assuming lensing galaxy redshifts of $z$ = 1.0. Furthermore, PS J042913.17+142840.9 exhibits a large flux ratio anomaly, up to a factor of 2.66 ± 0.37 in i band, that varies across optical and near-infrared wavelengths. We discuss LSST and its implications for future high-redshift lens searches and outline an extension to the search using supervised machine learning techniques.

Astronomy & Astrophysics↗

Interacting Dirac magnons in the van der Waals ferromagnet CrBr 3

We study the effects of magnon-magnon interactions in the two-dimensional van der Waals ferromagnet CrBr 3 focusing on its honeycomb lattice structure. Motivated by earlier theoretical predictions of temperature-induced spectral shifts and van Hove singularities in the magnon dispersion [S. S. Pershoguba et al., Phys. Rev. X 8, 011010 (2018)], we go beyond the commonly used thermal magnon approximation by applying second-order perturbation theory in a fully numerical framework. Our analysis uncovers significant deviations from previous analysis: in particular, the predicted singularities are absent, consistent with recent inelastic neutron scattering measurements [S. E. Nikitin et al ., Phys. Rev. Lett. 129, 127201 (2022)]. Moreover, we find that the temperature dependence of the renormalized magnon spectrum exhibits a distinct 𝑇 3 behavior for the optical magnon branch, while retaining 𝑇 2 behavior for the acoustic or down magnon band. This feature sheds light on the collective dynamics of Dirac magnons and their interactions. We further compare the honeycomb case with a triangular Bravais lattice, relevant for ferromagnetic monolayer MnBi 2 ⁢Te 4 , and show that both systems lack singular features while displaying quite distinct thermal trends.

Holstein-Primakoff method↗